# Class DocumentSource

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents a document source.

    public class DocumentSource : Base64Source

Inheritance
  object
  Source
  Base64Source
  DocumentSource

Inherited Members
  Base64Source.MediaType
  Base64Source.Data
  Source.Type
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Constructors

### DocumentSource(string, string)

Initializes a new instance of the DocumentSource class.

    public DocumentSource(string mediaType, string data)

#### Parameters

`mediaType` string

  The media type of the document.

`data` string

  The data of the document.

#### Exceptions

ArgumentException

  Thrown when the media type is invalid.

ArgumentNullException

  Thrown when the media type or data is null.